summaryrefslogtreecommitdiff
path: root/dev-python/async-timeout
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-02 13:10:15 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-02 13:10:15 +0000
commitae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c (patch)
tree2e4341b963692ea564ffe8984842ca471e010a6f /dev-python/async-timeout
parent4b562e795234dd4616d1b74e4bc5bd42fc57ddb6 (diff)
downloadbaldeagleos-repo-ae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c.tar.gz
baldeagleos-repo-ae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c.tar.xz
baldeagleos-repo-ae9512cdfbd3c1b4ff9c7cefaf0cff4a99eadb2c.zip
Adding metadata
Diffstat (limited to 'dev-python/async-timeout')
-rw-r--r--dev-python/async-timeout/Manifest1
-rw-r--r--dev-python/async-timeout/async-timeout-4.0.2-r1.ebuild39
-rw-r--r--dev-python/async-timeout/metadata.xml13
3 files changed, 53 insertions, 0 deletions
diff --git a/dev-python/async-timeout/Manifest b/dev-python/async-timeout/Manifest
new file mode 100644
index 000000000000..d2f3d5fd58b2
--- /dev/null
+++ b/dev-python/async-timeout/Manifest
@@ -0,0 +1 @@
+DIST async-timeout-4.0.2.tar.gz 8221 BLAKE2B ebcb2ef956590e265bbdecc223a877e7260750aecf5b631c6af1f335ce57b51579467901e2344bfa8495010eb1e6e7a39adfd4b6311483d63e0674221888d1f7 SHA512 e9884a525b99bc1a3a15c958a1dbb25a92cb286bb7360b03b0be3198e61685970628c8fef6dc478beba3f031e0ff6f03b1fcc3c2c34032d7fea6f8b65850ac38
diff --git a/dev-python/async-timeout/async-timeout-4.0.2-r1.ebuild b/dev-python/async-timeout/async-timeout-4.0.2-r1.ebuild
new file mode 100644
index 000000000000..c32c0002e60f
--- /dev/null
+++ b/dev-python/async-timeout/async-timeout-4.0.2-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Timeout context manager for asyncio programs"
+HOMEPAGE="
+ https://github.com/aio-libs/async-timeout/
+ https://pypi.org/project/async-timeout/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # remove pointless dep on pytest-cov
+ sed -i -e '/addopts/d' setup.cfg || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest -p no:aiohttp
+}
diff --git a/dev-python/async-timeout/metadata.xml b/dev-python/async-timeout/metadata.xml
new file mode 100644
index 000000000000..6fb0e4bdaca7
--- /dev/null
+++ b/dev-python/async-timeout/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file